<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Code Generator</title>
    <link rel="icon" type="image/png" href="https://www.dmipartners.com/assets/images/general/logo-symbol.png">
    <link rel="apple-touch-icon" sizes="180x180" href="https://www.dmipartners.com/assets/images/general/logo-symbol.png">
    <link rel="icon" sizes="192x192" href="https://www.dmipartners.com/assets/images/general/logo-symbol.png">
    <link rel="icon" sizes="256x256" href="https://www.dmipartners.com/assets/images/general/logo-symbol.png">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<a class="navbar-brand" href="https://www.dmipartners.com">
    <span class="symbol"></span><span class="copyline"></span>
    <span>DMi Partners Affiliate Newsletter Tool</span>
</a>
    <div class="container">
        <div class="left">
            <label for="clientName">Client Name</label>
            <input type="text" id="clientName" placeholder=" ">

            <div class="row">
                <div class="col">
                    <label for="folderName">Logo Folder Name</label>
                    <input type="text" id="folderName" placeholder="e.g. frank-darling">
                </div>
                <div class="col">
                    <label for="logoFilename">Logo Filename</label>
                    <input type="text" id="logoFilename" placeholder="e.g. frank-darling-logo.png">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <label for="logoWidth">Logo Width</label>
                    <input type="text" id="logoWidth" placeholder="Default 200" value="200">
                </div>
                <div class="col">
                    <label for="logoHeight">Logo Height</label>
                    <input type="text" id="logoHeight" placeholder="Default auto" value="auto">
                </div>
            </div>

            <hr />

            <label for="headerCopy">Header Copy</label>
            <input type="text" id="headerCopy" placeholder=" ">

            <label for="snippetText">Snippet Text</label>
            <textarea id="snippetText" placeholder=" "></textarea>

            <label for="aboutClient">About Client</label>
            <textarea id="aboutClient" placeholder=" "></textarea>

            <div class="button-row">
                <button id="generateBtn">Generate &amp; Download</button>
                <button id="generateOnly">Generate Only</button>
            </div>
        </div>
        <div class="right">
            <div class="code-container">
                <pre id="codeBlock"></pre>
                <button id="copyBtn"><span class="copy"></span></button>
            </div>
        </div>
    </div>
    <script src="js/script.js"></script>
</body>
</html>
